Package org.apache.tapestry5

## Class EventConstants

- java.lang.Object
- - org.apache.tapestry5.EventConstants

-     public class EventConstants
      extends Object

  Constant values for common event names fired by Tapestry components.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACTION` | Default client event name, "action", used in most situations.
    `static String` | `ACTIVATE` | Event triggered when a page is activated (for rendering).
    `static String` | `ADD_ROW` | Event triggered by `AjaxFormLoop` to inform the container that a new row has been requested.
    `static String` | `CANCELED` | Event triggered when a client-side form is canceled.
    `static String` | `DECORATE_COMPONENT_EVENT_LINK` | Event triggered during component event link generation.
    `static String` | `DECORATE_PAGE_RENDER_LINK` | Event triggered during page render link generation.
    `static String` | `FAILURE` | Event type for a notification after the form has been submitted, when there are errors in the validation tracker.
    `static String` | `HTTP_DELETE` | Event triggered when a page receives an HTTP DELETE request.
    `static String` | `HTTP_GET` | Event triggered when a page receives an HTTP GET request.
    `static String` | `HTTP_HEAD` | Event triggered when a page receives an HTTP HEAD request.
    `static String` | `HTTP_PATCH` | Event triggered when a page receives an HTTP PATCH request.
    `static String` | `HTTP_POST` | Event triggered when a page receives an HTTP POST request.
    `static String` | `HTTP_PUT` | Event triggered when a page receives an HTTP PUT request.
    `static String` | `NODE_SELECTED` | Event triggered by the `Tree` component when a leaf node is selected.
    `static String` | `NODE_UNSELECTED` | Event triggered by the `Tree` component when a leaf node is unselected.
    `static String` | `PARSE_CLIENT` | Event triggered by some form-related components to parse a value provided by the client.
    `static String` | `PASSIVATE` | Event triggered when a link for a page is generated.
    `static String` | `PREALLOCATE_FORM_CONTROL_NAMES` | Name of a event triggered by the form component on the active page to allow it to pre-allocate the names of any query parameters that might be used by the page for its own purposes and should not be allocated to components.
    `static String` | `PREPARE` | Invoked to let the containing component(s) prepare for the form rendering or the form submission.
    `static String` | `PREPARE_FOR_RENDER` | Invoked before `PREPARE` when rendering out the form.
    `static String` | `PREPARE_FOR_SUBMIT` | Invoked before `PREPARE` when the form is submitted.
    `static String` | `PROGRESSIVE_DISPLAY` | Event triggered by `ProgressiveDisplay` component to inform its container of what context (if any) is available.
    `static String` | `PROVIDE_COMPLETIONS` | Event triggered by an `Autocomplete` mixin to request completions of the current input.
    `static String` | `REFRESH` | Event triggered by `ZoneRefresh` to refresh the `Zone`
    `static String` | `REMOVE_ROW` | Event triggered by `AjaxFormLoop` to inform the container about the row removed on the client side.
    `static String` | `SELECTED` | Event type triggered by the `Submit` component when it is the cause of the form submission.
    `static String` | `SUBMIT` | Event type for a notification after the form has submitted.
    `static String` | `SUCCESS` | Event type for a notification after the form has submitted, when there are no errors in the validation tracker.
    `static String` | `SYNCHRONIZE_VALUES` | Event triggered by the `Loop` component to inform its container of all the values that were supplied from the client during a form submission.
    `static String` | `TO_CLIENT` | Event triggered by some form-related components to convert a server-side value to a client-side string, as an alternative to a `Translator`.
    `static String` | `VALIDATE` | Event triggered by form-related components to validate user input.
    `static String` | `VALUE_CHANGED` | Event triggered by `Select` component to inform its container that Select's value has changed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION

          public static final String ACTION

      Default client event name, "action", used in most situations.
      See Also:
        Constant Field Values

    - #### ACTIVATE

          public static final String ACTIVATE

      Event triggered when a page is activated (for rendering). The component event handler will be passed the context provided by the passivate event.
      See Also:
        Constant Field Values

    - #### PASSIVATE

          public static final String PASSIVATE

      Event triggered when a link for a page is generated. The event handler for the page may provide an object, or an array of objects, as the context for the page. These values will become part of the page's context, and will be provided back when the page is activated.
      See Also:
        Constant Field Values

    - #### PREPARE_FOR_RENDER

          public static final String PREPARE_FOR_RENDER

      Invoked before `PREPARE` when rendering out the form.
      See Also:
        `Form`, Constant Field Values

    - #### PREPARE_FOR_SUBMIT

          public static final String PREPARE_FOR_SUBMIT

      Invoked before `PREPARE` when the form is submitted.
      See Also:
        `Form`, Constant Field Values

    - #### PREPARE

          public static final String PREPARE

      Invoked to let the containing component(s) prepare for the form rendering or the form submission.
      See Also:
        `Form`, Constant Field Values

    - #### SUBMIT

          public static final String SUBMIT

      Event type for a notification after the form has submitted. This event notification occurs on any form submit, without respect to "success" or "failure".
      See Also:
        `Form`, Constant Field Values

    - #### CANCELED

          public static final String CANCELED

      Event triggered when a client-side form is canceled. This occurs after page activation, and after the prepare events for the form, but before any stored `ComponentAction`s for the form are triggered.
      Since:
        5.2.0
      See Also:
        `SubmitMode.CANCEL`, Constant Field Values

    - #### SUCCESS

          public static final String SUCCESS

      Event type for a notification after the form has submitted, when there are no errors in the validation tracker. This occurs before the `SUBMIT` event.
      See Also:
        `Form`, Constant Field Values

    - #### FAILURE

          public static final String FAILURE

      Event type for a notification after the form has been submitted, when there are errors in the validation tracker. This occurs before the `SUBMIT` event.
      See Also:
        Constant Field Values

    - #### SELECTED

          public static final String SELECTED

      Event type triggered by the `Submit` component when it is the cause of the form submission.
      See Also:
        Constant Field Values

    - #### PARSE_CLIENT

          public static final String PARSE_CLIENT

      Event triggered by some form-related components to parse a value provided by the client. This takes the place of a `Translator`.
      See Also:
        Constant Field Values

    - #### TO_CLIENT

          public static final String TO_CLIENT

      Event triggered by some form-related components to convert a server-side value to a client-side string, as an alternative to a `Translator`.
      See Also:
        Constant Field Values

    - #### VALIDATE

          public static final String VALIDATE

      Event triggered by form-related components to validate user input. In addition, the Form component fires a validate event just before it fires `SUCCESS` or `FAILURE` as a chance to perform cross-form validations.
      See Also:
        Constant Field Values

    - #### REMOVE_ROW

          public static final String REMOVE_ROW

      Event triggered by `AjaxFormLoop` to inform the container about the row removed on the client side. The event context is the object that was removed.
      See Also:
        Constant Field Values

    - #### ADD_ROW

          public static final String ADD_ROW

      Event triggered by `AjaxFormLoop` to inform the container that a new row has been requested. The return value from the event handler must be the newly created object, which must also be visible in the `AjaxFormLoop.encoder` parameter.
      See Also:
        Constant Field Values

    - #### SYNCHRONIZE_VALUES

          public static final String SYNCHRONIZE_VALUES

      Event triggered by the `Loop` component to inform its container of all the values that were supplied from the client during a form submission. The event handler method should have a single parameter, of type Object[] or type List, to receive the values.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### PROGRESSIVE_DISPLAY

          public static final String PROGRESSIVE_DISPLAY

      Event triggered by `ProgressiveDisplay` component to inform its container of what context (if any) is available. The event handler may return a renderable object or null. If null is returned, the component renders its own body as the partial markup response.
      Since:
        5.1.0.1
      See Also:
        Constant Field Values

    - #### PROVIDE_COMPLETIONS

          public static final String PROVIDE_COMPLETIONS

      Event triggered by an `Autocomplete` mixin to request completions of the current input. The first value in the context is the input string; additional values in the context parameter of the `Autocomplete` component.
      Since:
        5.1.0.4
      See Also:
        Constant Field Values

    - #### VALUE_CHANGED

          public static final String VALUE_CHANGED

      Event triggered by `Select` component to inform its container that Select's value has changed.
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### DECORATE_PAGE_RENDER_LINK

          public static final String DECORATE_PAGE_RENDER_LINK

      Event triggered during page render link generation. The first context parameter is the `Link` object, the second is the `PageRenderRequestParameters` from which the Link was created. The event is triggered on the actively rendering page.
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### DECORATE_COMPONENT_EVENT_LINK

          public static final String DECORATE_COMPONENT_EVENT_LINK

      Event triggered during component event link generation. The first context parameter is the `Link` object, the second is the `ComponentEventRequestParameters` from which the Link was created. The event is triggered on the actively rendering page, not necessarily the page containing the component.
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### PREALLOCATE_FORM_CONTROL_NAMES

          public static final String PREALLOCATE_FORM_CONTROL_NAMES

      Name of a event triggered by the form component on the active page to allow it to pre-allocate the names of any query parameters that might be used by the page for its own purposes and should not be allocated to components. An `IdAllocator` is passed as the event context.
      Since:
        5.2.0
      See Also:
        Constant Field Values

    - #### NODE_SELECTED

          public static final String NODE_SELECTED

      Event triggered by the `Tree` component when a leaf node is selected.
      Since:
        5.3
      See Also:
        Constant Field Values

    - #### NODE_UNSELECTED

          public static final String NODE_UNSELECTED

      Event triggered by the `Tree` component when a leaf node is unselected.
      Since:
        5.3
      See Also:
        Constant Field Values

    - #### REFRESH

          public static final String REFRESH

      Event triggered by `ZoneRefresh` to refresh the `Zone`
      Since:
        5.3
      See Also:
        Constant Field Values

    - #### HTTP_GET

          public static final String HTTP_GET

      Event triggered when a page receives an HTTP GET request. Handling this event creates a REST endpoint.
      Since:
        5.8.0
      See Also:
        Constant Field Values

    - #### HTTP_POST

          public static final String HTTP_POST

      Event triggered when a page receives an HTTP POST request. Handling this event creates a REST endpoint.
      Since:
        5.8.0
      See Also:
        Constant Field Values

    - #### HTTP_DELETE

          public static final String HTTP_DELETE

      Event triggered when a page receives an HTTP DELETE request. Handling this event creates a REST endpoint.
      Since:
        5.8.0
      See Also:
        Constant Field Values

    - #### HTTP_PUT

          public static final String HTTP_PUT

      Event triggered when a page receives an HTTP PUT request. Handling this event creates a REST endpoint.
      Since:
        5.8.0
      See Also:
        Constant Field Values

    - #### HTTP_HEAD

          public static final String HTTP_HEAD

      Event triggered when a page receives an HTTP HEAD request. Handling this event creates a REST endpoint.
      Since:
        5.8.0
      See Also:
        Constant Field Values

    - #### HTTP_PATCH

          public static final String HTTP_PATCH

      Event triggered when a page receives an HTTP PATCH request. Handling this event creates a REST endpoint.
      Since:
        5.8.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventConstants

          public EventConstants()